
import java.net.InetAddress;
import java.net.UnknownHostException;

public class PTT {
	
	protected AVTransmit3 at;
	protected String address;
	protected AVReceive3 avReceive;
	protected String[] session;
	protected String source_port;
	protected int destination_port;
	protected InetAddress local_address;
	protected InetAddress session_address;
	private DB_Contest db;
	
	public PTT() throws UnknownHostException{
		db = new DB_Contest("ptt.cfg");
		source_port = new String( db.get("source_port"));
		destination_port = new Integer( db.get("destination_port")).intValue();
		local_address = InetAddress.getByName(db.get("local_address"));
		session_address = InetAddress.getByName(db.get("session_address"));
		address = InetAddress.getLocalHost().getHostAddress();
		session = new String[1];
	    session[0] = (session_address+"/"+source_port);
	    start();
	    
	}
	
	public void start(){
		
		at = new AVTransmit3(local_address, session_address, destination_port);
		avReceive = new AVReceive3(local_address, session);
	    Thread recv = new Thread(avReceive);
    	recv.start();
    	String result = at.start();
    	// result will be non-null if there was an error. The return
		// value is a String describing the possible error. Print it.
    	if (result != null) {
		    System.err.println("Error : " + result);
		    System.exit(0);
		}
    	pttGUI GUI = new pttGUI(at, avReceive);
		
	}
	
	
	public static void main(String[] args) throws UnknownHostException {
		
		new PTT();
	
	}

}
